Skip to main content
PATCH
/
api
/
v1
/
orgs
/
{orgId}
/
status-pages
/
{statusPageId}
Update a status page
curl --request PATCH \
  --url https://monitor.aevr.space/api/v1/orgs/{orgId}/status-pages/{statusPageId} \
  --header 'Content-Type: application/json' \
  --cookie auth-token= \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "isEnabled": true,
  "isDefault": true,
  "title": "<string>",
  "description": "<string>",
  "logoUrl": "<string>",
  "showHistory": true,
  "showUptime": true,
  "showIncidents": true,
  "showMonitors": true,
  "publicMonitorIds": [
    "<string>"
  ]
}
'
import requests

url = "https://monitor.aevr.space/api/v1/orgs/{orgId}/status-pages/{statusPageId}"

payload = {
"name": "<string>",
"slug": "<string>",
"isEnabled": True,
"isDefault": True,
"title": "<string>",
"description": "<string>",
"logoUrl": "<string>",
"showHistory": True,
"showUptime": True,
"showIncidents": True,
"showMonitors": True,
"publicMonitorIds": ["<string>"]
}
headers = {
"cookie": "auth-token=",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {cookie: 'auth-token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
isEnabled: true,
isDefault: true,
title: '<string>',
description: '<string>',
logoUrl: '<string>',
showHistory: true,
showUptime: true,
showIncidents: true,
showMonitors: true,
publicMonitorIds: ['<string>']
})
};

fetch('https://monitor.aevr.space/api/v1/orgs/{orgId}/status-pages/{statusPageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

auth-token
string
cookie
required

Signed session cookie returned by the platform auth flows.

Path Parameters

orgId
string
required
statusPageId
string
required

Body

application/json
name
string
slug
string
isEnabled
boolean
isDefault
boolean
title
string
description
string
logoUrl
string<uri>
showHistory
boolean
showUptime
boolean
showIncidents
boolean
showMonitors
boolean
publicMonitorIds
string[]

Response

200

Status page updated